Skip to main content
`Ctrl`+`K`

# DMNetworkSetNumSubNetworks

Sets the number of subnetworks

## Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkSetNumSubNetworks(DM dm, PetscInt nsubnet, PetscInt Nsubnet)

Collective

## Input Parameters

- dm - the `DMNETWORK` object

- nsubnet - local number of subnetworks

- Nsubnet - global number of subnetworks

## See Also

`DM`, `DMNETWORK`, `DMNetworkCreate()`, `DMNetworkGetNumSubNetworks()`

## Level

beginner

## Location

src/dm/impls/network/network.c

Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages